package com.kingdee.eas.custom.shop;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class StartShopFactory
{
    private StartShopFactory()
    {
    }
    public static com.kingdee.eas.custom.shop.IStartShop getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.shop.IStartShop)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("EF6D33CB") ,com.kingdee.eas.custom.shop.IStartShop.class);
    }
    
    public static com.kingdee.eas.custom.shop.IStartShop getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.shop.IStartShop)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("EF6D33CB") ,com.kingdee.eas.custom.shop.IStartShop.class, objectCtx);
    }
    public static com.kingdee.eas.custom.shop.IStartShop getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.shop.IStartShop)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("EF6D33CB"));
    }
    public static com.kingdee.eas.custom.shop.IStartShop getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.shop.IStartShop)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("EF6D33CB"));
    }
}